# Changelog
All changes to the project will be documented in this file.

## [4.1.x] - Not yet released
- [Remove the 255 argument limit for OneOrMany options such as --include and --exclude(700)](https://www.github.com/dotnet/roslyn/pull/700)
- [Only run Imports formatter when is has configuration in the .editorconfig(701)](https://www.github.com/dotnet/roslyn/pull/701)

## [4.0.130203] - 2020-06-01
[View Complete Diff of Changes](https://www.github.com/dotnet/format/compare/3f2b20c65d32a59ca6bbc68b788a31ed38576d8e...f772fc306ff4b70cabebbea76beba9cdfd7ecb80)
### Breaking Changes:
- Added an imports formatter for sorting imports.
- Format now runs on the latest installed Runtime.
- `--check` and `--dry-run` have combined into a single option.
- `--include` and `--exclude` use space-separated paths instead of comma-separated.

### Deprecations:
- Added warning to use the default argument instead of `--workspace` option. Use `dotnet format ./format.sln` instead of `dotnet format -w ./format.sln`
- Added warning to use the default argument to specify the folder path when using the `--folder` option. Use `dotnet format ./src -f` instead of `dotnet format -f ./src`
- Added warning to use `--include` instead of `--files` alias.
- Added warning to use `--check` instead of `--dry-run` alias.

### Merged PRs:
- [Add Imports Formatter (693)](https://www.github.com/dotnet/roslyn/pull/693)
- [Always run on the latest Runtime (694)](https://www.github.com/dotnet/roslyn/pull/694)
- [Move to Roslyn's editorconfig support (590)](https://www.github.com/dotnet/roslyn/pull/590)
- [Command line argument for solution/project as positional argument (681)](https://www.github.com/dotnet/roslyn/pull/681)
- [Add option to format generated code files. (673)](https://www.github.com/dotnet/roslyn/pull/673)
- [Produce a binlog when verbosity is set to detailed (605)](https://www.github.com/dotnet/roslyn/pull/605)
- [Fix #581 - Add final newline false positive (633)](https://www.github.com/dotnet/roslyn/pull/633)
- [Combine --check and --dry-run into a single option. (541)](https://github.com/dotnet/format/pull/541)
- [Use space-separated paths instead of comma-separated for --include and --exclude (551)](https://github.com/dotnet/format/pull/551)
- [Support loading commandline options from response files (552)](https://github.com/dotnet/format/pull/552)
- [Support file globbing in --include and --exclude options (555)](https://github.com/dotnet/format/pull/555)

## [3.3.111304] - 2020-02-13
[View Complete Diff of Changes](https://github.com/dotnet/format/compare/3ecea99de4bb82b724bf11134279b5aaf8dd1f2f...7c8f67a570f5fde6a247704733d6742f93c0fa48)
### Merged PRs:
- [Enhance --files option to support folder paths. Add --include alias. (533)](https://github.com/dotnet/format/pull/533)
- [format-500: Add `--exclude` option to ignore given files/folders (529)](https://github.com/dotnet/format/pull/529)
- [format-379: Add `--report` command line argument to export json format report to given directory (495)](https://github.com/dotnet/format/pull/495)
- [Update charset formatter to check for equivalent encodings (508)](https://github.com/dotnet/format/pull/508)

## [3.2.107702] - 2020-01-27
[View Complete Diff of Changes](https://github.com/dotnet/format/compare/256f37159dc60b29f76999749f57f4338324f102...3ecea99de4bb82b724bf11134279b5aaf8dd1f2f)
### Merged PRs:
- [Add FolderWorkspace and -f options to load files by folder (335)](https://github.com/dotnet/format/pull/335)
- [Add formatter for the charset .editorconfig option (330)](https://github.com/dotnet/format/pull/330)

## [3.1.37601] - 2019-07-26
[View Complete Diff of Changes](https://github.com/dotnet/format/compare/211cab024c37fdffa5955c5855f9d62a14703452...256f37159dc60b29f76999749f57f4338324f102)
### Merged PRs:
- [Add end_of_line formatter (169)](https://github.com/dotnet/format/pull/169)
- [Log formatting change details when in dry-run mode (249)](https://github.com/dotnet/format/pull/249)
- [Added final newline formatter (133)](https://github.com/dotnet/format/pull/133)
- [Check that code files excluded by .editorconfig are not formatted (130)](https://github.com/dotnet/format/pull/130)

## [3.0.4] - 2019-04-02
[View Complete Diff of Changes](https://github.com/dotnet/format/compare/658b525df6382ed33b20345ba5b037c8515c9a71...211cab024c37fdffa5955c5855f9d62a14703452)
### Merged PRs:
- [Added --files option (52)](https://github.com/dotnet/format/pull/52)
- [Add new CLI '--check' option (48)](https://github.com/dotnet/format/pull/48)
- [Avoiding exception when redirect stdout(#21) (23)](https://github.com/dotnet/format/pull/23)

## [3.0.2] - 2019-02-28
### Initial Release
- Partial support for core .editorconfig options
- Support for .NET whitespace formatting options
- Support for --dry-run option
